import { Step } from "@fireenjin/components/dist/types/typings";
import { Address } from "../../sdk";
export declare class CompanyFlow {
  /**
   * The current path of the flow they are in
   */
  currentPath: string;
  /**
   * The current step of the path they are on
   */
  currentStep: string;
  /**
   * The ID of the location
   */
  locationId: string;
  /**
   * The phone number captured in the flow
   */
  phone: string;
  /**
   * The service address captured in the flow
   */
  address: Address;
  /**
   * The ID of the company from Flood Team App
   */
  companyId: string;
  /**
   * The name of the company
   */
  companyName: string;
  /**
   * The endpoint to submit to
   */
  endpoint: string;
  /**
   * Any errors captured from the flow
   */
  errors: string[];
  /**
   * The current steps on the path selected
   */
  steps: Step[];
  /**
   * The index of the current slide (step) on the path
   */
  currentSlideIndex: number;
  paths: {
    [pathName: string]: () => Step[];
  };
  /**
   * Set the path of the flow
   * @param path The path name to change to
   * @returns A list of steps for the current path
   */
  setPath(path?: string): Promise<Step[]>;
  onError(event: any): void;
  onChange(event: any): void;
  onSuccess(event: any): Promise<void>;
  onSlideChange(event: any): Promise<void>;
  onBeforeSubmit(data: any): any;
  componentDidLoad(): Promise<void>;
  render(): any;
}
